Java 8 and Ant 1.10

classic Classic list List threaded Threaded
23 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Java 8 and Ant 1.10

Jim Jagielski
Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
Apache Ant 1.10?

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Matthias Seidel
Hi Jim,

Am 08.02.21 um 18:51 schrieb Jim Jagielski:
> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
> Apache Ant 1.10?

Yes, my Windows Test builds are done with AdoptOpenJDK 8 and Apache Ant
1.10.9:

https://home.apache.org/~mseidel/AOO-builds/AOO-420-Test/

I have a build running at the moment...

Regards,

   Matthias

>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Dylan Pham
In reply to this post by Jim Jagielski
Hi Jim,
Should we try building this for 32-bit or 64-bit?

On Mon, Feb 8, 2021 at 9:52 AM Jim Jagielski <[hidden email]> wrote:

> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
> Apache Ant 1.10?
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Arrigo Marchiori
In reply to this post by Matthias Seidel
Hello,

On Mon, Feb 08, 2021 at 06:57:39PM +0100, Matthias Seidel wrote:

> Hi Jim,
>
> Am 08.02.21 um 18:51 schrieb Jim Jagielski:
> > Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
> > Apache Ant 1.10?
>
> Yes, my Windows Test builds are done with AdoptOpenJDK 8 and Apache Ant
> 1.10.9:
>
> https://home.apache.org/~mseidel/AOO-builds/AOO-420-Test/

On my openSUSE system it builds as well.

$ javac -version
javac 1.8.0_275

$ ant -version
Apache Ant(TM) version 1.10.7 compiled on May 15 2020

In order to build on openSUSE I also have to cherry-pick
793939861f23079a3e27ea2705d2143b56883731 (see PR #111)
but it's related to Python, not to Java.

Best regards,
--
Arrigo

http://rigo.altervista.org

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Carl Marcum
In reply to this post by Jim Jagielski
Hi Jim,

On 2/8/21 12:51 PM, Jim Jagielski wrote:
> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
> Apache Ant 1.10?
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>

Normally I build 4.1 and trunk on the same VM's and use JDK 8 and Ant 1.9.

I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
My trunk is not completely up to date but it's withing a few weeks.
configure complained about JAVA_HOME even though I have it set so I
added the --with-jdk-home flag.

I'll let you know how it goes.

If trunk won't answer your question I can try and up to date 4.2 tomorrow.

Best regards,
Carl

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Carl Marcum
On 2/8/21 7:15 PM, Carl Marcum wrote:

> Hi Jim,
>
> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>> Apache Ant 1.10?
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
>
> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and Ant
> 1.9.
>
> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
> My trunk is not completely up to date but it's withing a few weeks.
> configure complained about JAVA_HOME even though I have it set so I
> added the --with-jdk-home flag.
>
> I'll let you know how it goes.
>
> If trunk won't answer your question I can try and up to date 4.2
> tomorrow.
>
> Best regards,
> Carl

No luck,

7 module(s):
     beanshell
     hsqldb
     apache-commons
     rhino
     saxon
     lucene
     javaunohelper
need(s) to be rebuilt

I'll try with an updated 4.2 branch tomorrow.

Best regards,
Carl


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Dylan Pham
In reply to this post by Dylan Pham
Building on OS X 10.10.5 with configurations below:
$ ant
Buildfile: build.xml does not exist!
Build failed
 $ ant -version
 Apache Ant(TM) version 1.10.9 compiled on September 27 2020
 $ javac -version
 javac 1.8.0_282
 $ git branch
* AOO42X
  trunk

Got build error as below regarding autodoc (Ghostscript related?) Full config.log file attached. Anyone else ran into this issue? Maybe a gbuild issue?
/Users/aoobuild/Documents/openoffice/main/autodoc/source/inc/estack.hxx:31:10: fatal error: 'slist' file not found
#include <slist>
         ^
1 warning and 1 error generated.
dmake:  Error code 2, while making 'all'

1 module(s): 
autodoc
need(s) to be rebuilt

On Mon, Feb 8, 2021 at 1:23 PM Dylan Pham <[hidden email]> wrote:
Hi Jim,
Should we try building this for 32-bit or 64-bit?

On Mon, Feb 8, 2021 at 9:52 AM Jim Jagielski <[hidden email]> wrote:
Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
Apache Ant 1.10?

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]



---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Carl Marcum
In reply to this post by Carl Marcum
On 2/8/21 8:54 PM, Carl Marcum wrote:

> On 2/8/21 7:15 PM, Carl Marcum wrote:
>> Hi Jim,
>>
>> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>> Apache Ant 1.10?
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: [hidden email]
>>> For additional commands, e-mail: [hidden email]
>>>
>>
>> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and Ant
>> 1.9.
>>
>> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
>> My trunk is not completely up to date but it's withing a few weeks.
>> configure complained about JAVA_HOME even though I have it set so I
>> added the --with-jdk-home flag.
>>
>> I'll let you know how it goes.
>>
>> If trunk won't answer your question I can try and up to date 4.2
>> tomorrow.
>>
>> Best regards,
>> Carl
>
> No luck,
>
> 7 module(s):
>     beanshell
>     hsqldb
>     apache-commons
>     rhino
>     saxon
>     lucene
>     javaunohelper
> need(s) to be rebuilt
>
> I'll try with an updated 4.2 branch tomorrow.
>
> Best regards,
> Carl
>
Building with an up to date AOO42X branch and
Ant 1.10.15 and JDK 15.0.2. turned out with similar results.

9 module(s):
     beanshell
     hsqldb
     apache-commons
     rhino
     saxon
     lucene
     qadevOOo
     bean
     odk
need(s) to be rebuilt

I'll test backing down Ant next.

regards,
Carl


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Matthias Seidel
Hi Carl,

Am 10.02.21 um 00:39 schrieb Carl Marcum:

> On 2/8/21 8:54 PM, Carl Marcum wrote:
>> On 2/8/21 7:15 PM, Carl Marcum wrote:
>>> Hi Jim,
>>>
>>> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>>> Apache Ant 1.10?
>>>>
>>>> ---------------------------------------------------------------------
>>>> To unsubscribe, e-mail: [hidden email]
>>>> For additional commands, e-mail: [hidden email]
>>>>
>>>
>>> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and
>>> Ant 1.9.
>>>
>>> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
>>> My trunk is not completely up to date but it's withing a few weeks.
>>> configure complained about JAVA_HOME even though I have it set so I
>>> added the --with-jdk-home flag.
>>>
>>> I'll let you know how it goes.
>>>
>>> If trunk won't answer your question I can try and up to date 4.2
>>> tomorrow.
>>>
>>> Best regards,
>>> Carl
>>
>> No luck,
>>
>> 7 module(s):
>>     beanshell
>>     hsqldb
>>     apache-commons
>>     rhino
>>     saxon
>>     lucene
>>     javaunohelper
>> need(s) to be rebuilt
>>
>> I'll try with an updated 4.2 branch tomorrow.
>>
>> Best regards,
>> Carl
>>
> Building with an up to date AOO42X branch and
> Ant 1.10.15 and JDK 15.0.2. turned out with similar results.
Ant should be 1.10.9 (typo?). But Java 15 is out of luck, I think.

>
> 9 module(s):
>     beanshell
>     hsqldb
>     apache-commons
>     rhino
>     saxon
>     lucene
>     qadevOOo
>     bean
>     odk
> need(s) to be rebuilt
>
> I'll test backing down Ant next.
Better try to build with Java 8 or 11 (LTS). But I don't think we had a
successful build with Java 11 so far...

Regards,

   Matthias

>
> regards,
> Carl
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email]
> For additional commands, e-mail: [hidden email]
>
>


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Peter Kovacs-3
Java 11 and Later will create issues.
Since LTS version 8 has now 10 year support I would stick with Java 8 and not bother with oracles development at this point.

Am 10. Februar 2021 00:47:17 MEZ schrieb Matthias Seidel <[hidden email]>:

>Hi Carl,
>
>Am 10.02.21 um 00:39 schrieb Carl Marcum:
>> On 2/8/21 8:54 PM, Carl Marcum wrote:
>>> On 2/8/21 7:15 PM, Carl Marcum wrote:
>>>> Hi Jim,
>>>>
>>>> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>>>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>>>> Apache Ant 1.10?
>>>>>
>>>>>
>---------------------------------------------------------------------
>>>>> To unsubscribe, e-mail: [hidden email]
>>>>> For additional commands, e-mail: [hidden email]
>>>>>
>>>>
>>>> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and
>>>> Ant 1.9.
>>>>
>>>> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
>>>> My trunk is not completely up to date but it's withing a few weeks.
>>>> configure complained about JAVA_HOME even though I have it set so I
>>>> added the --with-jdk-home flag.
>>>>
>>>> I'll let you know how it goes.
>>>>
>>>> If trunk won't answer your question I can try and up to date 4.2
>>>> tomorrow.
>>>>
>>>> Best regards,
>>>> Carl
>>>
>>> No luck,
>>>
>>> 7 module(s):
>>>     beanshell
>>>     hsqldb
>>>     apache-commons
>>>     rhino
>>>     saxon
>>>     lucene
>>>     javaunohelper
>>> need(s) to be rebuilt
>>>
>>> I'll try with an updated 4.2 branch tomorrow.
>>>
>>> Best regards,
>>> Carl
>>>
>> Building with an up to date AOO42X branch and
>> Ant 1.10.15 and JDK 15.0.2. turned out with similar results.
>Ant should be 1.10.9 (typo?). But Java 15 is out of luck, I think.
>>
>> 9 module(s):
>>     beanshell
>>     hsqldb
>>     apache-commons
>>     rhino
>>     saxon
>>     lucene
>>     qadevOOo
>>     bean
>>     odk
>> need(s) to be rebuilt
>>
>> I'll test backing down Ant next.
>
>Better try to build with Java 8 or 11 (LTS). But I don't think we had a
>successful build with Java 11 so far...
>
>Regards,
>
>   Matthias
>
>>
>> regards,
>> Carl
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
>>
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Dylan Pham
In reply to this post by Dylan Pham
this is encouraging. the end of the tunnel is sorta in sight. attempting to
figure out what ails these modules.

**************************************************
ERROR: ERROR: Missing files
in function: remove_Files_Without_Sourcedirectory
**************************************************
in function: remove_Files_Without_Sourcedirectorystopping log at Tue Feb  9
22:56:51 2021
dmake:  Error code 255, while making 'openoffice_en-US.dmg'

ERROR: next directories could not be built:
/Users/aoobuild/Documents/openoffice/main/openssl
/Users/aoobuild/Documents/openoffice/main/oox/prj
/Users/aoobuild/Documents/openoffice/ext_libraries/serf
/Users/aoobuild/Documents/openoffice/main/ucb/prj
/Users/aoobuild/Documents/openoffice/main/writerfilter/prj
/Users/aoobuild/Documents/openoffice/main/sc/prj
/Users/aoobuild/Documents/openoffice/main/scripting/java
/Users/aoobuild/Documents/openoffice/main/postprocess/packcomponents
/Users/aoobuild/Documents/openoffice/main/instsetoo_native/util

ERROR: please check these directories and build the corresponding module(s)
anew!!


On Tue, Feb 9, 2021 at 11:39 AM Dylan Pham <[hidden email]> wrote:

> Building on OS X 10.10.5 with configurations below:
> $ ant
> Buildfile: build.xml does not exist!
> Build failed
>  $ ant -version
>  Apache Ant(TM) version 1.10.9 compiled on September 27 2020
>  $ javac -version
>  javac 1.8.0_282
>  $ git branch
> * AOO42X
>   trunk
>
> Got build error as below regarding autodoc (Ghostscript related?) Full
> config.log file attached. Anyone else ran into this issue? Maybe a
> gbuild issue?
> /Users/aoobuild/Documents/openoffice/main/autodoc/source/inc/estack.hxx:31:10:
> fatal error: 'slist' file not found
> #include <slist>
>          ^
> 1 warning and 1 error generated.
> dmake:  Error code 2, while making 'all'
>
> 1 module(s):
> autodoc
> need(s) to be rebuilt
>
> On Mon, Feb 8, 2021 at 1:23 PM Dylan Pham <[hidden email]> wrote:
>
>> Hi Jim,
>> Should we try building this for 32-bit or 64-bit?
>>
>> On Mon, Feb 8, 2021 at 9:52 AM Jim Jagielski <[hidden email]> wrote:
>>
>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>> Apache Ant 1.10?
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe, e-mail: [hidden email]
>>> For additional commands, e-mail: [hidden email]
>>>
>>>
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Dylan Pham
My mistake, I was building trunk instead of AOO42X...

On Tue, Feb 9, 2021 at 11:44 PM Dylan Pham <[hidden email]> wrote:

> this is encouraging. the end of the tunnel is sorta in sight. attempting
> to figure out what ails these modules.
>
> **************************************************
> ERROR: ERROR: Missing files
> in function: remove_Files_Without_Sourcedirectory
> **************************************************
> in function: remove_Files_Without_Sourcedirectorystopping log at Tue Feb
>  9 22:56:51 2021
> dmake:  Error code 255, while making 'openoffice_en-US.dmg'
>
> ERROR: next directories could not be built:
> /Users/aoobuild/Documents/openoffice/main/openssl
> /Users/aoobuild/Documents/openoffice/main/oox/prj
> /Users/aoobuild/Documents/openoffice/ext_libraries/serf
> /Users/aoobuild/Documents/openoffice/main/ucb/prj
> /Users/aoobuild/Documents/openoffice/main/writerfilter/prj
> /Users/aoobuild/Documents/openoffice/main/sc/prj
> /Users/aoobuild/Documents/openoffice/main/scripting/java
> /Users/aoobuild/Documents/openoffice/main/postprocess/packcomponents
> /Users/aoobuild/Documents/openoffice/main/instsetoo_native/util
>
> ERROR: please check these directories and build the corresponding
> module(s) anew!!
>
>
> On Tue, Feb 9, 2021 at 11:39 AM Dylan Pham <[hidden email]> wrote:
>
>> Building on OS X 10.10.5 with configurations below:
>> $ ant
>> Buildfile: build.xml does not exist!
>> Build failed
>>  $ ant -version
>>  Apache Ant(TM) version 1.10.9 compiled on September 27 2020
>>  $ javac -version
>>  javac 1.8.0_282
>>  $ git branch
>> * AOO42X
>>   trunk
>>
>> Got build error as below regarding autodoc (Ghostscript related?) Full
>> config.log file attached. Anyone else ran into this issue? Maybe a
>> gbuild issue?
>> /Users/aoobuild/Documents/openoffice/main/autodoc/source/inc/estack.hxx:31:10:
>> fatal error: 'slist' file not found
>> #include <slist>
>>          ^
>> 1 warning and 1 error generated.
>> dmake:  Error code 2, while making 'all'
>>
>> 1 module(s):
>> autodoc
>> need(s) to be rebuilt
>>
>> On Mon, Feb 8, 2021 at 1:23 PM Dylan Pham <[hidden email]> wrote:
>>
>>> Hi Jim,
>>> Should we try building this for 32-bit or 64-bit?
>>>
>>> On Mon, Feb 8, 2021 at 9:52 AM Jim Jagielski <[hidden email]> wrote:
>>>
>>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>>> Apache Ant 1.10?
>>>>
>>>> ---------------------------------------------------------------------
>>>> To unsubscribe, e-mail: [hidden email]
>>>> For additional commands, e-mail: [hidden email]
>>>>
>>>>
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Mechtilde Stehmann-2
In reply to this post by Peter Kovacs-3
Hello Carl,
Hello all,

Am 10.02.21 um 08:23 schrieb Peter Kovacs:
> Java 11 and Later will create issues.
> Since LTS version 8 has now 10 year support I would stick with Java 8 and not bother with oracles development at this point.
>
> Am 10. Februar 2021 00:47:17 MEZ schrieb Matthias Seidel <[hidden email]>:
>> Hi Carl,
>>
>> Am 10.02.21 um 00:39 schrieb Carl Marcum:

>>>> 7 module(s):
>>>>     beanshell
>>>>     hsqldb
>>>>     apache-commons
>>>>     rhino
>>>>     saxon
>>>>     lucene
>>>>     javaunohelper
>>>> need(s) to be rebuilt
>>>>
>>>> I'll try with an updated 4.2 branch tomorrow.
I had the same problem building under Debian 10 with Java 11, Ant 10.5,
gcc 8.3.

I can also test it with ant 10.9.

I'm interested to build with Java 11 to be able to build at recent
supported Debian version.

There I need help.

kind regards


--
Mechtilde Stehmann
## Apache OpenOffice
## Freie Office Suite für Linux, MacOSX, Windows und OS/2
## Debian Developer
## PGP encryption welcome
## F0E3 7F3D C87A 4998 2899  39E7 F287 7BBA 141A AD7F


OpenPGP_signature (849 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Carl Marcum
In reply to this post by Matthias Seidel
Hi Matthias,

On 2/9/21 6:47 PM, Matthias Seidel wrote:

> Hi Carl,
>
> Am 10.02.21 um 00:39 schrieb Carl Marcum:
>> On 2/8/21 8:54 PM, Carl Marcum wrote:
>>> On 2/8/21 7:15 PM, Carl Marcum wrote:
>>>> Hi Jim,
>>>>
>>>> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>>>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>>>> Apache Ant 1.10?
>>>>>
>>>>> ---------------------------------------------------------------------
>>>>> To unsubscribe, e-mail: [hidden email]
>>>>> For additional commands, e-mail: [hidden email]
>>>>>
>>>> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and
>>>> Ant 1.9.
>>>>
>>>> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
>>>> My trunk is not completely up to date but it's withing a few weeks.
>>>> configure complained about JAVA_HOME even though I have it set so I
>>>> added the --with-jdk-home flag.
>>>>
>>>> I'll let you know how it goes.
>>>>
>>>> If trunk won't answer your question I can try and up to date 4.2
>>>> tomorrow.
>>>>
>>>> Best regards,
>>>> Carl
>>> No luck,
>>>
>>> 7 module(s):
>>>      beanshell
>>>      hsqldb
>>>      apache-commons
>>>      rhino
>>>      saxon
>>>      lucene
>>>      javaunohelper
>>> need(s) to be rebuilt
>>>
>>> I'll try with an updated 4.2 branch tomorrow.
>>>
>>> Best regards,
>>> Carl
>>>
>> Building with an up to date AOO42X branch and
>> Ant 1.10.15 and JDK 15.0.2. turned out with similar results.
> Ant should be 1.10.9 (typo?). But Java 15 is out of luck, I think.

Yes sorry, Ant 1.10.8. I also have 1.9.15.

BTW I use SDKMAN on Linux and it makes it very easy and fast to swap
versions of things like Java and Ant.
https://sdkman.io/

Thanks,
Carl

>> 9 module(s):
>>      beanshell
>>      hsqldb
>>      apache-commons
>>      rhino
>>      saxon
>>      lucene
>>      qadevOOo
>>      bean
>>      odk
>> need(s) to be rebuilt
>>
>> I'll test backing down Ant next.
> Better try to build with Java 8 or 11 (LTS). But I don't think we had a
> successful build with Java 11 so far...
>
> Regards,
>
>     Matthias
>
>> regards,
>> Carl
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email]
>> For additional commands, e-mail: [hidden email]
>>
>>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Jim Jagielski
For me, the issue seemed to be this code chunk in scripting/java/build.xml

  <condition property="mac.java.path" value="mac.oracle.java.path" else ="mac.apple.java.path">
    <and>
      <os family="mac"/>
      <os family="unix"/>
      <contains string="${java.version}" substring="1.8" casesensitive="false" />
      <contains string="${java.vendor}" substring="Oracle" casesensitive="false" />
    </and>
  </condition>

  <path id="macPath" refID="${mac.java.path}"/>

Previously, the java.version was 1.7 which made trying to build break when using Java8 on the mac. Since the above edit, all proceeds fine. No doubt, there is a more elegant way of solving this against future breakage...
---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Matthias Seidel
In reply to this post by Carl Marcum
Hi Carl,

Am 10.02.21 um 12:08 schrieb Carl Marcum:
>
> BTW I use SDKMAN on Linux and it makes it very easy and fast to swap
> versions of things like Java and Ant.
> https://sdkman.io/

That looks interesting, thanks for the link!

Regards,

   Matthias

>
> Thanks,
> Carl
>


smime.p7s (5K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Carl Marcum
In reply to this post by Carl Marcum
On 2/9/21 6:39 PM, Carl Marcum wrote:

> On 2/8/21 8:54 PM, Carl Marcum wrote:
>> On 2/8/21 7:15 PM, Carl Marcum wrote:
>>> Hi Jim,
>>>
>>> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>>> Apache Ant 1.10?
>>>>
>>>> ---------------------------------------------------------------------
>>>> To unsubscribe, e-mail: [hidden email]
>>>> For additional commands, e-mail: [hidden email]
>>>>
>>>
>>> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and
>>> Ant 1.9.
>>>
>>> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
>>> My trunk is not completely up to date but it's withing a few weeks.
>>> configure complained about JAVA_HOME even though I have it set so I
>>> added the --with-jdk-home flag.
>>>
>>> I'll let you know how it goes.
>>>
>>> If trunk won't answer your question I can try and up to date 4.2
>>> tomorrow.
>>>
>>> Best regards,
>>> Carl
>>
>> No luck,
>>
>> 7 module(s):
>>     beanshell
>>     hsqldb
>>     apache-commons
>>     rhino
>>     saxon
>>     lucene
>>     javaunohelper
>> need(s) to be rebuilt
>>
>> I'll try with an updated 4.2 branch tomorrow.
>>
>> Best regards,
>> Carl
>>
> Building with an up to date AOO42X branch and
> Ant 1.10.15 and JDK 15.0.2. turned out with similar results.
>
> 9 module(s):
>     beanshell
>     hsqldb
>     apache-commons
>     rhino
>     saxon
>     lucene
>     qadevOOo
>     bean
>     odk
> need(s) to be rebuilt
>
> I'll test backing down Ant next.
>
> regards,
> Carl
>
So far I've been able to build 4.2 with Ant 1.10.8 and JDK 8 but not 11
or 15.

Best regards,
Carl


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Jim Jagielski
Carl, on what platform? TIA.

> On Feb 11, 2021, at 6:26 AM, Carl Marcum <[hidden email]> wrote:
>
> On 2/9/21 6:39 PM, Carl Marcum wrote:
>> On 2/8/21 8:54 PM, Carl Marcum wrote:
>>> On 2/8/21 7:15 PM, Carl Marcum wrote:
>>>> Hi Jim,
>>>>
>>>> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>>>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>>>> Apache Ant 1.10?
>>>>>
>>>>> ---------------------------------------------------------------------
>>>>> To unsubscribe, e-mail: [hidden email]
>>>>> For additional commands, e-mail: [hidden email]
>>>>>
>>>>
>>>> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and Ant 1.9.
>>>>
>>>> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
>>>> My trunk is not completely up to date but it's withing a few weeks.
>>>> configure complained about JAVA_HOME even though I have it set so I added the --with-jdk-home flag.
>>>>
>>>> I'll let you know how it goes.
>>>>
>>>> If trunk won't answer your question I can try and up to date 4.2 tomorrow.
>>>>
>>>> Best regards,
>>>> Carl
>>>
>>> No luck,
>>>
>>> 7 module(s):
>>>     beanshell
>>>     hsqldb
>>>     apache-commons
>>>     rhino
>>>     saxon
>>>     lucene
>>>     javaunohelper
>>> need(s) to be rebuilt
>>>
>>> I'll try with an updated 4.2 branch tomorrow.
>>>
>>> Best regards,
>>> Carl
>>>
>> Building with an up to date AOO42X branch and
>> Ant 1.10.15 and JDK 15.0.2. turned out with similar results.
>>
>> 9 module(s):
>>     beanshell
>>     hsqldb
>>     apache-commons
>>     rhino
>>     saxon
>>     lucene
>>     qadevOOo
>>     bean
>>     odk
>> need(s) to be rebuilt
>>
>> I'll test backing down Ant next.
>>
>> regards,
>> Carl
>>
> So far I've been able to build 4.2 with Ant 1.10.8 and JDK 8 but not 11 or 15.
>
> Best regards,
> Carl
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: [hidden email] <mailto:[hidden email]>
> For additional commands, e-mail: [hidden email] <mailto:[hidden email]>
Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Carl Marcum-5
Hi Jim,

On 2/11/21 7:30 AM, Jim Jagielski wrote:
> Carl, on what platform? TIA.

CentOS 7.

>
>> On Feb 11, 2021, at 6:26 AM, Carl Marcum <[hidden email]> wrote:
>>
>> On 2/9/21 6:39 PM, Carl Marcum wrote:
>>> On 2/8/21 8:54 PM, Carl Marcum wrote:
>>>> On 2/8/21 7:15 PM, Carl Marcum wrote:
>>>>> Hi Jim,
>>>>>
>>>>> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>>>>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>>>>> Apache Ant 1.10?
>>>>>>
>>>>>> ---------------------------------------------------------------------
>>>>>> To unsubscribe, e-mail: [hidden email]
>>>>>> For additional commands, e-mail: [hidden email]
>>>>>>
>>>>> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and Ant 1.9.
>>>>>
>>>>> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
>>>>> My trunk is not completely up to date but it's withing a few weeks.
>>>>> configure complained about JAVA_HOME even though I have it set so I added the --with-jdk-home flag.
>>>>>
>>>>> I'll let you know how it goes.
>>>>>
>>>>> If trunk won't answer your question I can try and up to date 4.2 tomorrow.
>>>>>
>>>>> Best regards,
>>>>> Carl
>>>> No luck,
>>>>
>>>> 7 module(s):
>>>>      beanshell
>>>>      hsqldb
>>>>      apache-commons
>>>>      rhino
>>>>      saxon
>>>>      lucene
>>>>      javaunohelper
>>>> need(s) to be rebuilt
>>>>
>>>> I'll try with an updated 4.2 branch tomorrow.
>>>>
>>>> Best regards,
>>>> Carl
>>>>
>>> Building with an up to date AOO42X branch and
>>> Ant 1.10.15 and JDK 15.0.2. turned out with similar results.
>>>
>>> 9 module(s):
>>>      beanshell
>>>      hsqldb
>>>      apache-commons
>>>      rhino
>>>      saxon
>>>      lucene
>>>      qadevOOo
>>>      bean
>>>      odk
>>> need(s) to be rebuilt
>>>
>>> I'll test backing down Ant next.
>>>
>>> regards,
>>> Carl
>>>
>> So far I've been able to build 4.2 with Ant 1.10.8 and JDK 8 but not 11 or 15.
>>
>> Best regards,
>> Carl
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: [hidden email] <mailto:[hidden email]>
>> For additional commands, e-mail: [hidden email] <mailto:[hidden email]>


---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]

Reply | Threaded
Open this post in threaded view
|

Re: Java 8 and Ant 1.10

Mechtilde Stehmann-2
Hello,


Am 12.02.21 um 01:08 schrieb Carl Marcum:
> Hi Jim,
>
> On 2/11/21 7:30 AM, Jim Jagielski wrote:
>> Carl, on what platform? TIA.
>
> CentOS 7.

and I tested Debian 10

>
>>
>>> On Feb 11, 2021, at 6:26 AM, Carl Marcum <[hidden email]> wrote:
>>>
>>> On 2/9/21 6:39 PM, Carl Marcum wrote:
>>>> On 2/8/21 8:54 PM, Carl Marcum wrote:
>>>>> On 2/8/21 7:15 PM, Carl Marcum wrote:
>>>>>> Hi Jim,
>>>>>>
>>>>>> On 2/8/21 12:51 PM, Jim Jagielski wrote:
>>>>>>> Anyone tried building HEAD of AOO42X w/ Java8 (or later) and
>>>>>>> Apache Ant 1.10?
>>>>>>>
>>>>>>> ---------------------------------------------------------------------
>>>>>>>
>>>>>>> To unsubscribe, e-mail: [hidden email]
>>>>>>> For additional commands, e-mail: [hidden email]
>>>>>>>
>>>>>> Normally I build 4.1 and trunk on the same VM's and use JDK 8 and
>>>>>> Ant 1.9.
>>>>>>
>>>>>> I've kicked off a build of trunk with Ant 1.10.15 and JDK 15.0.2.
>>>>>> My trunk is not completely up to date but it's withing a few weeks.
>>>>>> configure complained about JAVA_HOME even though I have it set so
>>>>>> I added the --with-jdk-home flag.
>>>>>>
>>>>>> I'll let you know how it goes.
>>>>>>
>>>>>> If trunk won't answer your question I can try and up to date 4.2
>>>>>> tomorrow.
>>>>>>
>>>>>> Best regards,
>>>>>> Carl
>>>>> No luck,
>>>>>
>>>>> 7 module(s):
>>>>>      beanshell
>>>>>      hsqldb
>>>>>      apache-commons
>>>>>      rhino
>>>>>      saxon
>>>>>      lucene
>>>>>      javaunohelper
>>>>> need(s) to be rebuilt
>>>>>
>>>>> I'll try with an updated 4.2 branch tomorrow.
>>>>>
>>>>> Best regards,
>>>>> Carl
>>>>>
>>>> Building with an up to date AOO42X branch and
>>>> Ant 1.10.15 and JDK 15.0.2. turned out with similar results.
>>>>
>>>> 9 module(s):
>>>>      beanshell
>>>>      hsqldb
>>>>      apache-commons
>>>>      rhino
>>>>      saxon
>>>>      lucene
>>>>      qadevOOo
>>>>      bean
>>>>      odk
>>>> need(s) to be rebuilt
>>>>
>>>> I'll test backing down Ant next.
>>>>
>>>> regards,
>>>> Carl
>>>>
>>> So far I've been able to build 4.2 with Ant 1.10.8 and JDK 8 but not
>>> 11 or 15.
>>>
>>> Best regards,
>>> Carl
--
Mechtilde Stehmann
## Apache OpenOffice
## Freie Office Suite für Linux, MacOSX, Windows und OS/2
## Debian Developer
## PGP encryption welcome
## F0E3 7F3D C87A 4998 2899  39E7 F287 7BBA 141A AD7F


OpenPGP_signature (849 bytes) Download Attachment
12